com.genesyslab.wfm8.API.service.scheduleTrade810

## Class SchTradeUnansweredHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade810.SchTradeUnansweredHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeUnansweredHolder
      extends java.lang.Object
      implements java.io.Serializable

  Unanswered Trade Proposal Holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `proposals`
    `protected int` | `proposalsNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `responses`
    `protected int` | `responsesNSizeIs`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeUnansweredHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getProposals()` Gets the value of the proposals property.
    `int` | `getProposalsNSizeIs()` Gets the value of the proposalsNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getResponses()` Gets the value of the responses property.
    `int` | `getResponsesNSizeIs()` Gets the value of the responsesNSizeIs property.
    `int` | `hashCode()`
    `void` | `setProposals(java.util.List<java.lang.Integer> proposals)` Sets the value of the proposals property.
    `void` | `setProposalsNSizeIs(int value)` Sets the value of the proposalsNSizeIs property.
    `void` | `setResponses(java.util.List<java.lang.Integer> responses)` Sets the value of the responses property.
    `void` | `setResponsesNSizeIs(int value)` Sets the value of the responsesNSizeIs property.
    `java.lang.String` | `toString()`
    `SchTradeUnansweredHolder` | `withProposals(java.util.Collection<java.lang.Integer> values)`
    `SchTradeUnansweredHolder` | `withProposals(java.lang.Integer... values)`
    `SchTradeUnansweredHolder` | `withProposalsNSizeIs(int value)`
    `SchTradeUnansweredHolder` | `withResponses(java.util.Collection<java.lang.Integer> values)`
    `SchTradeUnansweredHolder` | `withResponses(java.lang.Integer... values)`
    `SchTradeUnansweredHolder` | `withResponsesNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### proposalsNSizeIs

          protected int proposalsNSizeIs

    - #### proposals

          protected java.util.List<java.lang.Integer> proposals

    - #### responsesNSizeIs

          protected int responsesNSizeIs

    - #### responses

          protected java.util.List<java.lang.Integer> responses

  - ### Constructor Detail

    - #### SchTradeUnansweredHolder

          public SchTradeUnansweredHolder()

  - ### Method Detail

    - #### getProposalsNSizeIs

          public int getProposalsNSizeIs()

      Gets the value of the proposalsNSizeIs property.

    - #### setProposalsNSizeIs

          public void setProposalsNSizeIs(int value)

      Sets the value of the proposalsNSizeIs property.

    - #### getProposals

          public java.util.List<java.lang.Integer> getProposals()

      Gets the value of the proposals property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the proposals property.

      For example, to add a new item, do as follows:

              getProposals().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getResponsesNSizeIs

          public int getResponsesNSizeIs()

      Gets the value of the responsesNSizeIs property.

    - #### setResponsesNSizeIs

          public void setResponsesNSizeIs(int value)

      Sets the value of the responsesNSizeIs property.

    - #### getResponses

          public java.util.List<java.lang.Integer> getResponses()

      Gets the value of the responses property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the responses property.

      For example, to add a new item, do as follows:

              getResponses().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### withProposalsNSizeIs

          public SchTradeUnansweredHolder withProposalsNSizeIs(int value)

    - #### withProposals

          public SchTradeUnansweredHolder withProposals(java.lang.Integer... values)

    - #### withProposals

          public SchTradeUnansweredHolder withProposals(java.util.Collection<java.lang.Integer> values)

    - #### withResponsesNSizeIs

          public SchTradeUnansweredHolder withResponsesNSizeIs(int value)

    - #### withResponses

          public SchTradeUnansweredHolder withResponses(java.lang.Integer... values)

    - #### withResponses

          public SchTradeUnansweredHolder withResponses(java.util.Collection<java.lang.Integer> values)

    - #### setProposals

          public void setProposals(java.util.List<java.lang.Integer> proposals)

      Sets the value of the proposals property.
      Parameters:
        `proposals` - allowed object is `Integer`

    - #### setResponses

          public void setResponses(java.util.List<java.lang.Integer> responses)

      Sets the value of the responses property.
      Parameters:
        `responses` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.